/*
 * Copyright (C) 2021 eichehome
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package server;

import java.io.*;
import java.net.*;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author eichehome
 */
public class ServerHandelClientsThread implements Runnable {

    private Socket clientSocket = null;

    @Override
    public void run() {
        while (true) {
            try {
                PrintWriter pr = new PrintWriter(clientSocket.getOutputStream(), true);
                InputStreamReader in = new InputStreamReader(clientSocket.getInputStream());
                BufferedReader bf = new BufferedReader(in);
                String clientInput;
                while ((clientInput = bf.readLine()) != null) {
                    System.out.println(clientInput);
                }
            } catch (InterruptedException ex) {
                System.err.println("test gegkückt");
                System.err.println(ex);
            } catch (IOException ex) {
                System.err.println("Exeption: " + ex);
                Logger.getLogger(ServerHandelClientsThread.class.getName()).log(Level.SEVERE, null, ex);
            } finally {
                pr.close();
            }
        }
    }

    public ServerHandelClientsThread(Socket socket, ClientMessageStore distributor) {
        clientSocket = socket;
        messageDistributor = distributor;
    }
}
